--- Quantum-GIS/src/plugins/globe/globe_plugin.cpp	2011-12-26 12:28:25.000000000 -0600
+++ qgis-mymaster/src/plugins/globe/globe_plugin.cpp	2011-12-24 09:35:41.000000000 -0600
@@ -38,6 +38,7 @@
 
 #include <osgGA/TrackballManipulator>
 #include <osgDB/ReadFile>
+#include <osgDB/Registry>
 
 #include <osgGA/StateSetManipulator>
 #include <osgGA/GUIEventHandler>
@@ -86,6 +87,10 @@
   setObjectName( "globePlugin" );
   setParent( theQgisInterface->mainWindow() );
 
+#ifdef QGIS_OSGPLUGIN_SUBDIR
+  setLibraryFilePathList( QgsApplication::prefixPath() + "/QGIS_OSGPLUGIN_SUBDIR" );
+#endif
+
   mSettingsDialog = new QgsGlobePluginDialog( &viewer, theQgisInterface->mainWindow(), QgisGui::ModalDialogFlags );
   mQDockWidget = new QDockWidgetGlobe( tr( "Globe" ), theQgisInterface->mainWindow() );
 }
